SQL-инъекция в PHP Pro Publish

Дата публикации:
02.05.2006
Всего просмотров:
869
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
CVE-2006-2128
CVE-2006-2129
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
PHP Pro Publish 2.x
Уязвимые версии: PHP Pro Publish 2.0, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "email" и "password" в сценарии admin/login.php, в параметре "find_str" в сценарии search.php, и параметре "catid" в сценарии cat.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Удачная эксплуатация уязвимости возможна при выключенной опции "magic_quotes_gpc.

2. Административный пользователь может внедрить произвольный PHP код в сценарий set_inc.php на странице "Settings".

URL производителя: www.deltascripts.com

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA